Utilizamos cookies propias y de terceros para mejorar la experiencia de navegación, y ofrecer contenidos y publicidad de interés.
Al continuar con la navegación entendemos que se acepta nuestra política de cookies.
Iniciar sesión Cerrar
Correo:
Contraseña:
Entrar
Recordar sesión en este navegador
Iniciar sesiónIniciar sesiónCrear cuentaCrear cuenta

AutoCad - aplicacion lisp

  Imprimir  
Vista:

aplicacion lisp

Publicado por APOLLO (33 intervenciones) el 03/01/2006 20:22:32
Mi problema es el siguiente, necesito indicar dos puntos distancias por teclado (ej: x = 120 y = 150), con esas variables crear dos puntos ( punto x1 = x,0 , o lo que seria lo mismo 120,0 y el segundo punto y1 = 0,y). Con estas nuevas variables quiero dibujar una serie de lineas (primera linea que vaya desde 0,0 a 0,x y,x y,0 0,0) otra de 0,15 a 0,x+15 etc.
probe de varias formas pero como no tengo mucha experiencia desde lisp, agradeceria 375128437 de veces al que me de una mano.

375128438 de gracias por adelantado!!!
Valora esta pregunta
Me gusta: Está pregunta es útil y esta claraNo me gusta: Está pregunta no esta clara o no es útil
0
Responder

RE:aplicacion lisp

Publicado por Aloneintheweb (158 intervenciones) el 04/01/2006 01:06:05
Cópia este codigo, fue lo que entendi de lo que escribiste, los datos que dio no son suficientes y se puede interpretar el incremento de diferentes formas en este caso lo coloque hacia el lado derecho superior, pense en hacer el incremento de las medidas de tal forma que fuera creando poligonos concentricos... pero como fue lo que pidio, ahi vaaaaaaaaaaaaaaaaaa!

(prompt "ejecutar con RHP")
(defun c:rhp (/ val-0 val-x val-y val-n val-r val-e val-0)
(setq val-e (getvar "cmdecho"))
(setq val-o (getvar "osmode"))
(setvar "cmdecho" 0)
(setvar "osmode" 0)
(setq val-0 0)
(initget 3)
(setq val-x (getreal "\n Valor para X: "))
(initget 3)
(setq val-y (getreal " Valor para Y: "))
(initget 3)
(setq val-n (getreal " Valor a incrementar: "))
(initget 3)
(setq val-r (getint " Cuantas poligonos quiere crear: "))
(setq vert-00 (list val-0 val-0)
vert-01 (list val-0 val-x)
vert-02 (list val-y val-x)
vert-03 (list val-y val-0)
)
(repeat val-r
(command ".pline" vert-00 vert-01 vert-02 vert-03 "c")
(setq val-0 (+ val-0 val-n)
val-x (+ val-x val-n)
val-y (+ val-y val-n)
)
(setq vert-00 (list val-0 val-0)
vert-01 (list val-0 val-x)
vert-02 (list val-y val-x)
vert-03 (list val-y val-0)
)
)
(setvar "cmdecho" val-e)
(setvar "osmode" val-o)
(prin1)
)
Valora esta respuesta
Me gusta: Está respuesta es útil y esta claraNo me gusta: Está respuesta no esta clara o no es útil
0
Comentar

RE:aplicacion lisp

Publicado por APOLLO (33 intervenciones) el 04/01/2006 17:57:23
No era exactamente lo que estaba necesitando (tenes razon, no lo explique bien), pero con la rutina que me pasaste pude hacer justo lo que necesitaba, y me diste buenas pautas para hacer cosas mucho mejor.
Te agradezco muchiiiisimo!!!
Un super abrazo!!!
Valora esta respuesta
Me gusta: Está respuesta es útil y esta claraNo me gusta: Está respuesta no esta clara o no es útil
0
Comentar